Package com.independentsoft.office.odf.forms

# Class ImageFrame

java.lang.Object
com.independentsoft.office.odf.forms.Control
com.independentsoft.office.odf.forms.ImageFrame

All Implemented Interfaces:
  `IFormContent`, `IContentElement`

public class ImageFrame extends Control
Defines a graphical control. The control displays an image, whose location is described in the control.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.forms.Control

  `eventListeners, parent, properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ImageFrame()`
  Initializes a new instance of the ImageFrame class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ImageFrame`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `List<IContentElement>`
  `getContentElements()`
  Returns all content elements.
  `String`
  `getControlImplementation()`
  Gets the specific concrete rendition or implementation of a control that should be instantiated.
  `String`
  `getDataField()`
  Gets the name of a column in the result set defined by a (data-aware) form.
  `String`
  `getID()`
  Gets an identifier for a control element.
  `String`
  `getImageLink()`
  Gets the location of a file containing image data.
  `String`
  `getName()`
  Gets the name of a form or control element.
  `IContentElement`
  `getParent()`
  Returns the parent content element.
  `String`
  `getTitle()`
  Gets additional information about a control.
  `boolean`
  `isDisabled()`
  Specifies whether a control can accept user input.
  `boolean`
  `isPrintable()`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `boolean`
  `isReadOnly()`
  Specifies whether a user can modify the value of a control.Read-only controls are included in a tabbing navigation sequence.
  `void`
  `setControlImplementation​(String controlImplementation)`
  Sets the specific concrete rendition or implementation of a control that should be instantiated.
  `void`
  `setDataField​(String dataField)`
  Sets the name of a column in the result set defined by a (data-aware) form.
  `void`
  `setDisabled​(boolean isDisabled)`
  Specifies whether a control can accept user input.
  `void`
  `setID​(String id)`
  Sets an identifier for a control element.
  `void`
  `setImageLink​(String imageLink)`
  Sets the location of a file containing image data.
  `void`
  `setName​(String name)`
  Sets the name of a form or control element.
  `void`
  `setParent​(IContentElement parent)`
  Sets the parent content element.
  `void`
  `setPrintable​(boolean isPrintable)`
  Specifies whether a control is printed when a user prints a document in which the control is contained.
  `void`
  `setReadOnly​(boolean isReadOnly)`
  Specifies whether a user can modify the value of a control.Read-only controls are included in a tabbing navigation sequence.
  `void`
  `setTitle​(String title)`
  Sets additional information about a control.
  `String`
  `toString()`
  Converts the value of the current ImageFrame object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.forms.Control

  `getEventListeners, getProperties`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ImageFrame

    public ImageFrame()
    Initializes a new instance of the ImageFrame class.

- ## Method Details

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Returns all content elements.
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `Control`
    Returns:
      A collection of content elements.

  - ### getParent

    public IContentElement getParent()
    Returns the parent content element.
    Specified by:
      `getParent` in interface `IContentElement`
    Overrides:
      `getParent` in class `Control`
    Returns:
      the parent

  - ### setParent

    public void setParent​(IContentElement parent)
    Sets the parent content element.
    Specified by:
      `setParent` in interface `IContentElement`
    Overrides:
      `setParent` in class `Control`
    Parameters:
      `parent` - the new parent

  - ### clone

    public ImageFrame clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IFormContent`
    Specified by:
      `clone` in class `Control`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ImageFrame object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getName

    public String getName()
    Gets the name of a form or control element.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name of a form or control element.
    Parameters:
      `name` - the new name

  - ### getControlImplementation

    public String getControlImplementation()
    Gets the specific concrete rendition or implementation of a control that should be instantiated.
    Returns:
      the control implementation

  - ### setControlImplementation

    public void setControlImplementation​(String controlImplementation)
    Sets the specific concrete rendition or implementation of a control that should be instantiated.
    Parameters:
      `controlImplementation` - the new control implementation

  - ### getID

    public String getID()
    Gets an identifier for a control element.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets an identifier for a control element.
    Parameters:
      `id` - the new id

  - ### isDisabled

    public boolean isDisabled()
    Specifies whether a control can accept user input.
    Returns:
      true, if is disabled

  - ### setDisabled

    public void setDisabled​(boolean isDisabled)
    Specifies whether a control can accept user input.
    Parameters:
      `isDisabled` - the new disabled

  - ### isPrintable

    public boolean isPrintable()
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Returns:
      true, if is printable

  - ### setPrintable

    public void setPrintable​(boolean isPrintable)
    Specifies whether a control is printed when a user prints a document in which the control is contained.
    Parameters:
      `isPrintable` - the new printable

  - ### isReadOnly

    public boolean isReadOnly()
    Specifies whether a user can modify the value of a control.Read-only controls are included in a tabbing navigation sequence.
    Returns:
      true, if is read only

  - ### setReadOnly

    public void setReadOnly​(boolean isReadOnly)
    Specifies whether a user can modify the value of a control.Read-only controls are included in a tabbing navigation sequence.
    Parameters:
      `isReadOnly` - the new read only

  - ### getTitle

    public String getTitle()
    Gets additional information about a control.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets additional information about a control.
    Parameters:
      `title` - the new title

  - ### getImageLink

    public String getImageLink()
    Gets the location of a file containing image data.
    Returns:
      the image link

  - ### setImageLink

    public void setImageLink​(String imageLink)
    Sets the location of a file containing image data.
    Parameters:
      `imageLink` - the new image link

  - ### getDataField

    public String getDataField()
    Gets the name of a column in the result set defined by a (data-aware) form. A control interchanges content with its column when: - the current row of a form changes, the control is initialized with the value from its column. - the user changes the content of a control, this changed value is written back to its column.
    Returns:
      the data field

  - ### setDataField

    public void setDataField​(String dataField)
    Sets the name of a column in the result set defined by a (data-aware) form. A control interchanges content with its column when: - the current row of a form changes, the control is initialized with the value from its column. - the user changes the content of a control, this changed value is written back to its column.
    Parameters:
      `dataField` - the new data field